Skip to content

Updates a exhibitor registration with the specified ID.

Request

This method will update an existing exhibitor registration with the specified ID.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

idstringrequired

The ID of the exhibitor registration to update.

Bodyapplication/jsonrequired

The updated exhibitor registration that will be saved.

add_onsArray of objects
booth_typesArray of objects, non-empty
boothsArray of objects, non-empty
contact_idstring(Contact)required

The contact ID of the registrant

contactsArray of objects
custom_field_valuesArray of objects(Custom Field Values)
datestring, (date-time)(Date)

The date of registration

descriptionstring(Description)

Exhibitor description, shown in the portal

event_idstring(Event)required

The event

exhibitor_idstring(Exhibitor)required

The exhibitor id

idstring(ID)^[\w|:-]+$required

The unique, string identifier of this registration group

internal_notesstring(Internal Notes)

Any applicable notes

logo_urlstring(Logo Url)

Url of a logo for this organization

notesstring(Notes)

Notes

numbernumber, (float)(Number)

The registration number

order_amount_paidnumber, (double)(Order Amount Paid)

The amount paid

order_balance_duenumber, (double)(Order Balance Due)

The balance due on the order

order_currency_codestring(Order Currency Code)
order_currency_symbolstring(Order Currency Symbol)
order_idstring(Order)

The order

order_line_item_idstring(Order Line Item)

The order line item

order_numbernumber, (float)(Order Number)

The order number

order_statusstring(Order Status)
Enum:"awaiting payment""awaiting pickup""awaiting shipping""cancelled""completed""disputed""open""partially shipped""returned""shipped"
order_totalnumber, (double)(Order Total)

The total of the order

organization_idstring(Organization)required

The organization associated with this registration

process_idstring(Process)

The registration process

statusstring(Status)
Enum:"cancelled""draft""fulfilled"
sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

curl -i -X PUT \
  'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/exhibitorRegistrations/{tenantId}/{id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "add_ons": [
      {
        "add_on_product_id": "string",
        "quantity": 0.1
      }
    ],
    "booth_types": [
      {
        "booth_type_id": "string",
        "quantity": 1
      }
    ],
    "booths": [
      {
        "booth_id": "string"
      }
    ],
    "contact_id": "string",
    "contacts": [
      {
        "contact_id": "string",
        "new_contact_info": {},
        "new_or_existing": "existing",
        "type_id": "string"
      }
    ],
    "custom_field_values": [
      {
        "boolean_value": true,
        "custom_field_id": "string",
        "file_url_value": "string",
        "list_value": [
          "string"
        ],
        "numeric_value": 0.1,
        "string_value": "string",
        "table_value": [
          {}
        ]
      }
    ],
    "date": "2019-08-24T14:15:22Z",
    "description": "string",
    "event_id": "string",
    "exhibitor_id": "string",
    "id": "string",
    "internal_notes": "string",
    "logo_url": "string",
    "notes": "string",
    "number": 0.1,
    "order_amount_paid": 0.1,
    "order_balance_due": 0.1,
    "order_currency_code": "string",
    "order_currency_symbol": "string",
    "order_id": "string",
    "order_line_item_id": "string",
    "order_number": 0.1,
    "order_status": "awaiting payment",
    "order_total": 0.1,
    "organization_id": "string",
    "process_id": "string",
    "status": "cancelled",
    "sys_bulk_load_at": "string",
    "sys_bulk_load_id": "string",
    "sys_bulk_load_pk": "string",
    "sys_bulk_load_record_no": 0.1,
    "sys_bulk_load_source_file": "string",
    "sys_calculated_field_error": "string",
    "sys_calculated_field_errors": [
      {
        "error": "string",
        "field": "string"
      }
    ],
    "sys_configuration_snapshot_id": "string",
    "sys_created_at": "2019-08-24T14:15:22Z",
    "sys_created_by_id": "string",
    "sys_deleted_by_id": "string",
    "sys_directive": "string",
    "sys_external_id": "string",
    "sys_has_files_in_s3": true,
    "sys_last_bulk_data_operation_id": "string",
    "sys_last_bulk_data_operation_sys_version": "string",
    "sys_last_modified_at": "2019-08-24T14:15:22Z",
    "sys_last_modified_by_id": "string",
    "sys_last_security_context": {},
    "sys_locked": true,
    "sys_snapshot_base_version": 0.1,
    "sys_version": 0.1
  }'

Responses

The exhibitor registration was updated successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
add_onsArray of objects
booth_typesArray of objects, non-empty
boothsArray of objects, non-empty
contact_idstring(Contact)required

The contact ID of the registrant

contactsArray of objects
custom_field_valuesArray of objects(Custom Field Values)
datestring, (date-time)(Date)

The date of registration

descriptionstring(Description)

Exhibitor description, shown in the portal

event_idstring(Event)required

The event

exhibitor_idstring(Exhibitor)required

The exhibitor id

idstring(ID)^[\w|:-]+$required

The unique, string identifier of this registration group

internal_notesstring(Internal Notes)

Any applicable notes

logo_urlstring(Logo Url)

Url of a logo for this organization

notesstring(Notes)

Notes

numbernumber, (float)(Number)

The registration number

order_amount_paidnumber, (double)(Order Amount Paid)

The amount paid

order_balance_duenumber, (double)(Order Balance Due)

The balance due on the order

order_currency_codestring(Order Currency Code)
order_currency_symbolstring(Order Currency Symbol)
order_idstring(Order)

The order

order_line_item_idstring(Order Line Item)

The order line item

order_numbernumber, (float)(Order Number)

The order number

order_statusstring(Order Status)
Enum:"awaiting payment""awaiting pickup""awaiting shipping""cancelled""completed""disputed""open""partially shipped""returned""shipped"
order_totalnumber, (double)(Order Total)

The total of the order

organization_idstring(Organization)required

The organization associated with this registration

process_idstring(Process)

The registration process

statusstring(Status)
Enum:"cancelled""draft""fulfilled"
sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

Response
{ "add_ons": [ { … } ], "booth_types": [ { … } ], "booths": [ { … } ], "contact_id": "string", "contacts": [ { … } ], "custom_field_values": [ { … } ], "date": "2019-08-24T14:15:22Z", "description": "string", "event_id": "string", "exhibitor_id": "string", "id": "string", "internal_notes": "string", "logo_url": "string", "notes": "string", "number": 0.1, "order_amount_paid": 0.1, "order_balance_due": 0.1, "order_currency_code": "string", "order_currency_symbol": "string", "order_id": "string", "order_line_item_id": "string", "order_number": 0.1, "order_status": "awaiting payment", "order_total": 0.1, "organization_id": "string", "process_id": "string", "status": "cancelled", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1 }